import { _decorator, Component, Node, dragonBones, UIOpacity } from "cc";
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = Start
 * DateTime = Tue Nov 02 2021 17:01:10 GMT+0800 (中国标准时间)
 * Author = Muzzik1999
 * FileBasename = start.ts
 * FileBasenameNoExtension = start
 * URL = db://assets/start.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */

@ccclass("Start")
export class Start extends Component {
	// [1]
	// dummy = '';

	// [2]
	@property(dragonBones.ArmatureDisplay)
	anim: dragonBones.ArmatureDisplay = null;
	// serializableDummy = 0;

	start() {
		// 正常播放
		// {
		// 	let opacity_comp =
		// 		this.anim.node.getComponent(UIOpacity) || this.anim.node.addComponent(UIOpacity);
		// 	opacity_comp.opacity = 0;
		// 	this.anim.node.active = true;
		// 	this.anim.playAnimation("animation3", 1);
		// 	this.scheduleOnce(() => {
		// 		opacity_comp.opacity = 255;
		// 		this.anim.node.active = true;
		// 		this.anim.once(
		// 			dragonBones.EventObject.COMPLETE,
		// 			() => {
		// 				this.anim.node.active = false;
		// 			},
		// 			this
		// 		);
		// 	}, 1);
		// }
		// 只闪一下
		this.scheduleOnce(() => {
			this.anim.node.active = true;
			this.anim.playAnimation("animation3", 1);
		}, 1);
	}

	// update (deltaTime: number) {
	//     // [4]
	// }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
